<?php

include('../../path.php');

require_once(ROOT_CONTROLLER.'usuario.php');

$Obj_usuario = new usuario();

require_once(ROOT_CHARACTER_FIX);

//require_once($context_usuario.'bussines/fix_characters.php');

$Obj_fix_characters = new fix_characters();



$action=!empty($_REQUEST['action'])?$_REQUEST['action']:'';

$pagina=!empty($_REQUEST['pagina'])?$_REQUEST['pagina']:'';

$_ScrollTo=!empty($_REQUEST['_ScrollTo'])?$_REQUEST['_ScrollTo']:'';



if (!empty($_POST))

{

    $Id_Usuarior=!empty($_REQUEST['Id_Usuarior'])?$_REQUEST['Id_Usuarior']:'';

   $Id_Usuario=!empty($_REQUEST['Id_Usuario'])?$_REQUEST['Id_Usuario']:'';

   $Id_Fk_Login=!empty($_REQUEST['Id_Fk_Login'])?$_REQUEST['Id_Fk_Login']:'';

   $Usu_Img_Perfil=!empty($_REQUEST['Usu_Img_Perfil'])?$_REQUEST['Usu_Img_Perfil']:'';

   $Usu_Nombre=!empty($_REQUEST['Usu_Nombre'])?$_REQUEST['Usu_Nombre']:'';

   $Usu_Apaterno=!empty($_REQUEST['Usu_Apaterno'])?$_REQUEST['Usu_Apaterno']:'';

   $Usu_Amaterno=!empty($_REQUEST['Usu_Amaterno'])?$_REQUEST['Usu_Amaterno']:'';

   $Usu_Fecha_Nacimiento=!empty($_REQUEST['Usu_Fecha_Nacimiento'])?$_REQUEST['Usu_Fecha_Nacimiento']:'';

   $Id_Fk_Rol=!empty($_REQUEST['Id_Fk_Rol'])?$_REQUEST['Id_Fk_Rol']:'';

   $Titulo_Rol_Fk=!empty($_REQUEST['Titulo_Rol_Fk'])?$_REQUEST['Titulo_Rol_Fk']:'';

   $Usu_Correo=!empty($_REQUEST['Usu_Correo'])?$_REQUEST['Usu_Correo']:'';

   $Usu_Telefono=!empty($_REQUEST['Usu_Telefono'])?$_REQUEST['Usu_Telefono']:'';

   $Usu_Password=!empty($_REQUEST['Usu_Password'])?$_REQUEST['Usu_Password']:'';

   $Usu_Password_Encrypt=!empty($_REQUEST['Usu_Password_Encrypt'])?$_REQUEST['Usu_Password_Encrypt']:'';

   $Usu_Activo=!empty($_REQUEST['Usu_Activo'])?$_REQUEST['Usu_Activo']:'';

   $Usu_Cuenta_Verificada=!empty($_REQUEST['Usu_Cuenta_Verificada'])?$_REQUEST['Usu_Cuenta_Verificada']:'';

   $Descripcion=!empty($_REQUEST['Descripcion'])?$_REQUEST['Descripcion']:'';

   $Fecha_Registro=!empty($_REQUEST['Fecha_Registro'])?$_REQUEST['Fecha_Registro']:'';

   $Fecha_Modifico=!empty($_REQUEST['Fecha_Modifico'])?$_REQUEST['Fecha_Modifico']:'';

   

    $Field=!empty($_REQUEST['Field'])?$_REQUEST['Field']:''; 

    $Field=$Obj_fix_characters->fix($Field);

    $Value=!empty($_REQUEST['Value'])?$_REQUEST['Value']:''; 

    $Value=$Obj_fix_characters->fix($Value);

    $Value_Hidden=!empty($_REQUEST['Value_Hidden'])?$_REQUEST['Value_Hidden']:''; 

    $Value_Hidden=$Obj_fix_characters->fix($Value_Hidden);

    $Type=!empty($_REQUEST['Type'])?$_REQUEST['Type']:''; 

    $Type=$Obj_fix_characters->fix($Type);



}    



function upVideo($Value_Hidden, $Value, $Field) {

    $directorio = '../../../repositorio/img_perfil/vieo/';

    

    // Verifica si el directorio existe, si no, lo crea

    if (!is_dir($directorio)) {

        mkdir($directorio, 0755, true);

    }

    

    // Genera un nombre único para el archivo si $Value_Hidden está vacío

    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

    $cad = ""; 

    for($i = 0; $i < 12; $i++) { 

        $cad .= substr($str, rand(0, 62), 1); 

    }

    

    // Si $Value_Hidden no está vacío, usa su valor como nombre del archivo

    if (!empty($Value_Hidden)) {

        $filename = $Value_Hidden;

        $target_file = $filename;

    } else {

        $extension = pathinfo($Value["name"], PATHINFO_EXTENSION);

        // Nombre final del archivo

        $filename = $cad . '.' . $extension;

        $target_file = $directorio . $filename;

    }

    $uploadOk = 1;

    

    // Verifica el tamaño del archivo (50MB máximo)

    if ($Value["size"] > 50000000) { 

        $uploadOk = 0;

    }

    

    $videoFileType = pathinfo($target_file, PATHINFO_EXTENSION);

    $allowed_types = ['mp4', 'avi', 'mov', '3gp', 'mpeg'];

    if (!in_array($videoFileType, $allowed_types)) {

        $uploadOk = 0;

    }

    

    // Si $uploadOk es 1, intenta mover el archivo subido

    if ($uploadOk == 1) {

        if (move_uploaded_file($Value["tmp_name"], $target_file)) {

            return $target_file; 

        } else {

            return ''; 

        }

    } else {

        return ''; 

    }

}



function upImg($Value_Hidden, $Value, $Field) {

    $directorio = '../../../img_perfil/';

    

    // Verifica si el directorio existe, si no, lo crea

    if (!is_dir($directorio)) {

        mkdir($directorio, 0755, true);

    }

    

    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

    $cad = ""; 

    for($i = 0; $i < 12; $i++) { 

        $cad .= substr($str, rand(0, 62), 1); 

    }

    

    // Si $Value_Hidden no está vacío, usa su valor como nombre del archivo

    if (!empty($Value_Hidden)) {

        $filename = $Value_Hidden;

        $target_file = $filename;

    } else {

        // Obtiene la extensión del archivo subido

        $extension = pathinfo($Value["name"], PATHINFO_EXTENSION);

        // Nombre final del archivo

        $filename = $cad . '.' . $extension;

        $target_file = $directorio . $filename;

    }



    $uploadOk = 1;

    

    // Verifica el tamaño del archivo

    if ($Value["size"] > 5000000) { // 5MB máximo

        $uploadOk = 0;

    }

    

    // Verifica el tipo de archivo

    $imageFileType = pathinfo($target_file, PATHINFO_EXTENSION);

    $allowed_types = ['jpg', 'jpeg', 'png', 'gif'];

    if (!in_array($imageFileType, $allowed_types)) {

        $uploadOk = 0;

    }

    

    // Si $uploadOk es 1, intenta mover el archivo subido

    if ($uploadOk == 1) {

        if (move_uploaded_file($Value["tmp_name"], $target_file)) {

            return $target_file;

        } else {

            return ''; 

        }

    } else {

        return '';

    }

}



function upDocumento($Value_Hidden, $Value, $Field) {

    $directorio = '../../../img_perfil/documento/';

    

    // Verifica si el directorio existe, si no, lo crea

    if (!is_dir($directorio)) {

        mkdir($directorio, 0755, true);

    }

    

    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

    $cad = ""; 

    for ($i = 0; $i < 12; $i++) { 

        $cad .= substr($str, rand(0, 62), 1); 

    }

    

    // Si $Value_Hidden no está vacío, usa su valor como nombre del archivo

    if (!empty($Value_Hidden)) {

        $filename = $Value_Hidden;

        $target_file = $filename;

    } else {

        // Obtiene la extensión del archivo subido

        $extension = pathinfo($Value["name"], PATHINFO_EXTENSION);

        // Nombre final del archivo

        $filename = $cad . '.' . $extension;

        $target_file = $directorio . $filename;

    }



    $uploadOk = 1;

    

    // Verifica el tamaño del archivo (10MB máximo)

    if ($Value["size"] > 10000000) { // 10MB máximo

        $uploadOk = 0;

    }

    

    // Verifica el tipo de archivo

    $documentFileType = pathinfo($target_file, PATHINFO_EXTENSION);

    $allowed_types = ['pdf', 'doc', 'docx', 'xls', 'xlsx', 'ppt', 'pptx', 'txt'];

    if (!in_array($documentFileType, $allowed_types)) {

        $uploadOk = 0;

    }

    

    if ($uploadOk == 1) {

        if (move_uploaded_file($Value["tmp_name"], $target_file)) {

            return $target_file; 

        } else {

            return ''; // Retorna cadena vacía si la carga falla

        }

    } else {

        return ''; 

    }

}

switch ($action) {

    case 'campos_front':

        try{

            if($Type=='video'){

                $Value=$_FILES['Value'];

                $Value=upVideo($Value_Hidden,$Value,$Field);

                $Value=str_replace('../', '', $Value);

            }else if($Type=='imagen'){

                $Value=$_FILES['Value'];

                $Value=upImg($Value_Hidden,$Value,$Field);

                $Value=str_replace('../', '', $Value);

            }else if($Type=='documento'){

                $Value=$_FILES['Value'];

                $Value=upDocumento($Value_Hidden,$Value,$Field);

                $Value=str_replace('../', '', $Value);

            }

            $Obj_usuario->update_field_usuario($Field,$Value,$Id_Usuarior);

        }catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;

    case 'campos':

        try{

            $Obj_usuario->update_field_usuario($Field,$Value,$Id_Usuarior);

            //$locations="Location: ./#$Id_Usuarior";

            //header($locations);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;



    

    case 'editar':



        try{

            if ($Usu_Img_Perfil!='') {

                    $tamano = $_FILES ['usu_img_perfil_file']['size'];

                    if ($tamano>0) 

                    {

                        if (strpos($_FILES["usu_img_perfil_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }                    

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") {

                            move_uploaded_file ($_FILES ['usu_img_perfil_file']['tmp_name'], $Usu_Img_Perfil);

                        }

                    }

                }

                else

                {

                    $tamano = $_FILES ['usu_img_perfil_file']['size'];

                    if ($tamano>0) 

                    {

                    // Creamos la cadena aletoria para la imagen.

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    } 

                    // Fin de la creacion de la cadena aletoria 

                    $tamano = $_FILES ['usu_img_perfil_file']['size']; // Leemos el tamano del fichero 

                    $tamano_max="50000000000"; // tamano maximo permitido 

                    // echo $tamano;

                    if( $tamano < $tamano_max){ // Comprovamos el tamano  

                        $destino = '../../../img_perfil/' ; // Carpeta donde se guarda                    

                        $sep="";

                        $Mec_type="";

                        if (strpos($_FILES["usu_img_perfil_file"]["type"], 'image/') !== false) {

                            $sep=explode('image/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                            $Mec_type='img';

                        }

                        if (strpos($_FILES["usu_img_perfil_file"]["type"], 'audio/') !== false) {

                            $sep=explode('audio/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                            $Mec_type='aud';

                        }

                        if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                        }

                        if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                            try {

                                if ($tamano>0){

                                // se comentaron para que le cambie el nombre a la nueva imagen.

                                    move_uploaded_file ($_FILES ['usu_img_perfil_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                                 // Subimos el archivo                          

                                }

                            

                            } catch (Exception $e) {

                            }

                            $Mec_urla=$cad;

                            $Mec_formato='.'.$tipo;

                        } else { 

                             $logo="";

                        }

                    } else { 

                        $logo="";

                    }

                    if (strlen($tipo)==0) {

                        $logo='';       

                    } else {

                        $logo=$destino.'/'.$cad.'.'.$tipo;      

                    }

                }

                    //termina algoritmo de carga de imagen.

                    $Usu_Img_Perfil=str_replace('../','',$logo);    

                }

             $Obj_usuario->update_usuario($Id_Usuarior, $Id_Usuario, $Usu_Img_Perfil, $Usu_Nombre, $Usu_Apaterno, $Usu_Amaterno, $Usu_Fecha_Nacimiento, $Id_Fk_Rol, $Titulo_Rol_Fk, $Usu_Correo, $Usu_Telefono, $Usu_Password, $Usu_Password_Encrypt, $Usu_Activo, $Usu_Cuenta_Verificada, $Descripcion, $Fecha_Registro, $Fecha_Modifico);

              $locations="Location: ../view/?pagina=$pagina&_Id_Registro=$Id_Usuarior&_ScrollTo=$_ScrollTo";

            header($locations);

            }   

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }

        break;



        case 'registrar':



        try{

         $tamano = $_FILES ['usu_img_perfil_file']['size'];

                    if ($tamano>0) 

                    {

            // Creamos la cadena aletoria para la imagen.

                $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                $cad = ""; 

                for($i=0;$i<12;$i++) { 

                    $cad .= substr($str,rand(0,62),1); 

                } 

                // Fin de la creacion de la cadena aletoria 

                $tamano = $_FILES ['usu_img_perfil_file']['size']; // Leemos el tamano del fichero 

                $tamano_max="50000000000"; // tamano maximo permitido 

                // echo $tamano;

                if( $tamano < $tamano_max){ // Comprovamos el tamano  

                    $destino = '../../../img_perfil' ; // Carpeta donde se guarda                    

                    $sep="";

                    $Mec_type="";

                    if (strpos($_FILES["usu_img_perfil_file"]["type"], 'image/') !== false) {

                        $sep=explode('image/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                        $Mec_type='img';

                    }

                    if (strpos($_FILES["usu_img_perfil_file"]["type"], 'audio/') !== false) {

                        $sep=explode('audio/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                        $Mec_type='aud';

                    }

                    if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                    }

                    if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                        try {

                            if ($tamano>0){

                            // se comentaron para que le cambie el nombre a la nueva imagen.

                                move_uploaded_file ($_FILES ['usu_img_perfil_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                             // Subimos el archivo                          

                            }

                            

                        } catch (Exception $e) {

                        }

                        $Mec_urla=$cad;

                        $Mec_formato='.'.$tipo;

                    } else { 

                         $logo="";

                    }

                } else { 

                    $logo="";

                }

                if (strlen($tipo)==0) {

                    $logo='';       

                } else {

                    $logo=$destino.'/'.$cad.'.'.$tipo;      

                }

            }

                //termina algoritmo de carga de imagen.

                $Usu_Img_Perfil=str_replace('../','',$logo);

         $idtupla=$Obj_usuario->insert_usuario($Id_Usuario, $Usu_Img_Perfil, $Usu_Nombre, $Usu_Apaterno, $Usu_Amaterno, $Usu_Fecha_Nacimiento, $Id_Fk_Rol, $Titulo_Rol_Fk, $Usu_Correo, $Usu_Telefono, $Usu_Password, $Usu_Password_Encrypt, $Usu_Activo, $Usu_Cuenta_Verificada, $Descripcion, $Fecha_Registro, $Fecha_Modifico);

            $locations="Location: ../view/?pagina=1&_Id_Registro=$idtupla&_ScrollTo=0";

            header($locations);        

           }    

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }   



        break;

        

        case 'duplicar':



        try{

         $tamano = $_FILES ['usu_img_perfil_file']['size'];

                    if ($tamano>0) 

                    {

            // Creamos la cadena aletoria para la imagen.

                $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                $cad = ""; 

                for($i=0;$i<12;$i++) { 

                    $cad .= substr($str,rand(0,62),1); 

                } 

                // Fin de la creacion de la cadena aletoria 

                $tamano = $_FILES ['usu_img_perfil_file']['size']; // Leemos el tamano del fichero 

                $tamano_max="50000000000"; // tamano maximo permitido 

                // echo $tamano;

                if( $tamano < $tamano_max){ // Comprovamos el tamano  

                    $destino = '../../../img_perfil' ; // Carpeta donde se guarda                    

                    $sep="";

                    $Mec_type="";

                    if (strpos($_FILES["usu_img_perfil_file"]["type"], 'image/') !== false) {

                        $sep=explode('image/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                        $Mec_type='img';

                    }

                    if (strpos($_FILES["usu_img_perfil_file"]["type"], 'audio/') !== false) {

                        $sep=explode('audio/',$_FILES["usu_img_perfil_file"]["type"]); // Separamos image/ 

                        $Mec_type='aud';

                    }

                    if ($tamano>0) {

                        $tipo=$sep[1]; // Optenemos el tipo de imagen que es    

                    }

                    if($tipo == "PNG"|| $tipo == "png" || $tipo == "gif" ||$tipo == "GIF" || $tipo == "jpg"||$tipo == "JPG" || $tipo == "jpeg"||$tipo == "JPEG" || $tipo == "bmp"||$tipo == "BMP"||$tipo != "") { // Si el tipo de imagen a subir es el mismo de los permitidos, segimos. Puedes agregar mas tipos de imagen

                        try {

                            if ($tamano>0){

                            // se comentaron para que le cambie el nombre a la nueva imagen.

                                move_uploaded_file ($_FILES ['usu_img_perfil_file']['tmp_name'], $destino . '/'.$cad.'.'.$tipo);

                             // Subimos el archivo                          

                            }

                            

                        } catch (Exception $e) {

                        }

                        $Mec_urla=$cad;

                        $Mec_formato='.'.$tipo;

                    } else { 

                         $logo="";

                    }

                } else { 

                    $logo="";

                }

                if (strlen($tipo)==0) {

                    $logo='';       

                } else {

                    $logo=$destino.'/'.$cad.'.'.$tipo;      

                }

            }else{

                if ($Usu_Img_Perfil!='') {

                    $str = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890"; 

                    $cad = ""; 

                    for($i=0;$i<12;$i++) { 

                        $cad .= substr($str,rand(0,62),1); 

                    }

                    $extension = pathinfo($Usu_Img_Perfil, PATHINFO_EXTENSION);

                    $logoCopia = '../../../img_perfil/'.$cad . "." . $extension;

                    copy($Usu_Img_Perfil, $logoCopia);

                    $logo=$logoCopia;

                }else{

                    $logo='';

                }

            }

                //termina algoritmo de carga de imagen.

                $Usu_Img_Perfil=str_replace('../','',$logo);

         $idtupla=$Obj_usuario->insert_usuario($Id_Usuario, $Usu_Img_Perfil, $Usu_Nombre, $Usu_Apaterno, $Usu_Amaterno, $Usu_Fecha_Nacimiento, $Id_Fk_Rol, $Titulo_Rol_Fk, $Usu_Correo, $Usu_Telefono, $Usu_Password, $Usu_Password_Encrypt, $Usu_Activo, $Usu_Cuenta_Verificada, $Descripcion, $Fecha_Registro, $Fecha_Modifico);

            $locations="Location: ../view/?pagina=1&_Id_Registro=$idtupla&_ScrollTo=0";

            header($locations);        

           }    

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }   



        break;

    

        case 'eliminar':           

                try{

              $Obj_usuario->delete_usuario($Id_Usuarior,$Id_Fk_Login);

                 $locations ="Location: ./";

                 header($locations);

                }

        

                catch (Exception $e) {

                    echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

                }   



        break;

        case 'registrar_externo':



        try{

        $Usu_Activo='Si';

        $Usu_Cuenta_Verificada='Si';

         $idtupla=$Obj_usuario->insert_usuario($Id_Usuario, $Usu_Img_Perfil, $Usu_Nombre, $Usu_Nombre, $Usu_Amaterno, $Usu_Fecha_Nacimiento, $Id_Fk_Rol, $Titulo_Rol_Fk, $Usu_Correo, $Usu_Telefono, $Usu_Password, $Usu_Password_Encrypt, $Usu_Activo, $Usu_Cuenta_Verificada, $Descripcion, $Fecha_Registro, $Fecha_Modifico);



            if($idtupla>0){

                session_start();

                    include('../../../cookies.php');

                    include('../../../centinela.php');

                    $objeto = new galletas();

                        $_SESSION['login_appquadrata']=1;

                            

                            $cookie_name = "tokenusu_appquadrata";

                            $cookie_value = "{$Usu_Correo}";

                            $objeto->Agregargalleta($cookie_name,$cookie_value);

                            //Genera el cookie para la contraseña ya ecriptada

                            $cookie_name = "token_appquadrata";

                            $cookie_value = "{$Usu_Password}";

                            $objeto->Agregargalleta($cookie_name,$cookie_value);

                            //Genera el cookie para mantener la sesion iniciada.

                            $cookie_name = "onstar_appquadrata";

                            $cookie_value = "$sesionup";                                

                            $objeto->Agregargalleta($cookie_name,$cookie_value);

                            

                            // $objeto_centinela = new galletas();

                            $cookie_name = "onstar_centinela_appquadrata";

                            $cookie_value = "1";                                

                            $objeto->Agregargalleta($cookie_name,$cookie_value);



                            $_SESSION['IdLoginr_appquadrata']="{$idtupla}";

                            $_SESSION['IdLogin_appquadrata']="{$idtupla}";

                            $_SESSION['Rol_appquadrata']="{$Id_Fk_Rol}";

                            $_SESSION['Titulo_Rol_Fk_appquadrata']="{$Titulo_Rol_Fk}";

                            $nombre=$Usu_Nombre." ".$Usu_Apaterno." ".$Usu_Amaterno;

                            $_SESSION['Login_Nombre_appquadrata']="{$nombre}";

                            $_SESSION['Login_Telefono_appquadrata']="{$Usu_Telefono}";

                            $_SESSION['Login_Correo_appquadrata']="{$Usu_Correo}";

                            $_SESSION['Login_Password_appquadrata']="{$Usu_Password}";

                            $_SESSION['Login_Img_Perfil_appquadrata']="{$Usu_Img_Perfil}";

                        header("Location: ../../../home");

                    

            }else{

                $locations="Location: ../../../login/crear-cuenta";

                header($locations);    

            }

            

            /*$locations="Location: ./";

            header($locations);   */     

        }    

        catch (Exception $e) {

            echo 'Excepcion capturada: ',  $e->getMessage(), "\n";

        }   



        break;



    default:

        

        break;

}

?>



